Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlrpc.serializer
Class ExtSerializer

    java.lang.Object
      org.apache.xmlrpc.serializer.ExtSerializer

All Implemented Interfaces:
  TypeSerializer

Direct Known Subclasses:
  JaxbSerializer, NodeSerializer

    public abstract class ExtSerializer

extends java.lang.Object
implements TypeSerializer

Base class for external XML representations, like DOM, or JAXB.

Constructor Summary
`ExtSerializer()`

Method Summary
`protected abstract java.lang.String` | `getTagName()` Returns the unqualied tag name.
`protected abstract void` | `serialize(org.xml.sax.ContentHandler pHandler, java.lang.Object pObject)` Performs the actual serialization.
`void` | `write(org.xml.sax.ContentHandler pHandler, java.lang.Object pObject)` Writes the object `pObject` to the SAX handler `pHandler`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtSerializer

    public ExtSerializer()

Method Detail

### getTagName

    protected abstract java.lang.String getTagName()

  Returns the unqualied tag name.

### serialize

    protected abstract void serialize(org.xml.sax.ContentHandler pHandler,
                                      java.lang.Object pObject)
                               throws org.xml.sax.SAXException

  Performs the actual serialization.

  Throws:
    `org.xml.sax.SAXException`

### write

    public void write(org.xml.sax.ContentHandler pHandler,
                      java.lang.Object pObject)
               throws org.xml.sax.SAXException

  Description copied from interface: `TypeSerializer`
  Writes the object `pObject` to the SAX handler `pHandler`.

  Specified by:
    `write` in interface `TypeSerializer`
  Parameters:
    `pHandler` - The destination handler.
    `pObject` - The object being written.
  Throws:
    `org.xml.sax.SAXException` - Writing the object failed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.